defmodule ExMP4 do
  @moduledoc File.read!("README.md")

  @type timescale :: Ratio.t() | integer()
  @type offset :: integer()
  @type duration :: non_neg_integer()

  def test() do
    {:ok, reader} =
      ExMP4.Reader.new("/home/ghilas/Downloads/Video/Love Like the Galaxy Part 2 Episode 1.mp4")

    {:ok, writer} = ExMP4.Writer.new("test.mp4")

    tracks = ExMP4.Reader.tracks(reader)

    writer = ExMP4.Writer.write_header(writer)

    {_track1, writer} = ExMP4.Writer.add_track(writer, Enum.at(tracks, 0))
    # {_track2, writer} = ExMP4.Writer.add_track(writer, Enum.at(tracks, 1))

    writer =
      ExMP4.Reader.stream(reader, tracks: [1])
      |> ExMP4.Reader.samples(reader)
      |> Enum.into(writer)

    ExMP4.Writer.write_trailer(writer)
  end
end
